Bug 167219 - [MAINTAINER] japanese/wordpress: update to 3.3.2 and german/wordpress update 3.3.2
Summary: [MAINTAINER] japanese/wordpress: update to 3.3.2 and german/wordpress update ...
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Michael Scheidell
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-04-23 05:40 UTC by takefu
Modified: 2012-05-27 11:10 UTC (History)
1 user (show)

See Also:


Attachments
file.diff (242 bytes, patch)
2012-04-23 05:40 UTC, takefu
no flags Details | Diff
file.diff (1.04 KB, patch)
2012-04-23 05:40 UTC, takefu
no flags Details | Diff
file.diff (234 bytes, patch)
2012-04-23 05:40 UTC, takefu
no flags Details | Diff
file.diff (2.19 KB, patch)
2012-04-23 05:40 UTC, takefu
no flags Details | Diff
german_wordpress.patch (3.29 KB, patch)
2012-05-23 14:37 UTC, takefu
no flags Details | Diff
japanese_wordpress.patch (2.23 KB, patch)
2012-05-23 14:37 UTC, takefu
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description takefu 2012-04-23 05:40:10 UTC
japanese/wordpress
- Update to 3.3.2
- add conflict list
  change file ownership to www wp-content directory

german/wordpress
- Update to 3.3.2
  change file ownership to www wp-content directory

Port maintainer (miwi@FreeBSD.org) is cc'd.

Fix: --- japanese/wordpress.patch begins here ---
PORTNAME=	wordpress
-PORTVERSION=	3.3.1
+PORTVERSION=	3.3.2
 CATEGORIES=	japanese www
 MASTER_SITES=	http://ja.wordpress.org/
 PKGNAMESUFFIX=	-ja
@@ -18,14 +18,17 @@
 LICENSE=	GPLv2
 LICENSE_FILE=	${WRKSRC}/license.txt

-CONFLICTS_INSTALL=	wordpress-3.* de-wordpress-de-3.* ru-wordpress-ru-3.*
+CONFLICTS_INSTALL=	wordpress-3.* de-wordpress-de-3.* ru-wordpress-ru-3.*\
+			zh-wordpress-zh_CN-3.* zh-wordpress-zh_TW-3.*

 NO_BUILD=	yes
 USE_PHP=	curl gd mysql pcre tokenizer xml zip
 WANT_PHP_WEB=	yes
 WRKSRC=		${WRKDIR}/${PORTNAME}

-SUB_FILES=	pkg-message
+SUB_FILES=	pkg-message pkg-install
+SUB_LIST=	CHGRP="${CHGRP}" CHOWN="${CHOWN}" FIND="${FIND}"\
+		WWWGRP="${WWWGRP}" WWWOWN="${WWWOWN}"
 PLIST=		${WRKDIR}/pkg-plist
 PORTDOCS=	license.txt readme.html

@@ -50,6 +53,7 @@
 .endif

 post-install:
+	@${SETENV} PKG_PREFIX=${PREFIX} ${SH} ${PKGINSTALL} ${PKGNAME} POST-INSTALL
 	@${CAT} ${PKGMESSAGE}

 .include <bsd.port.mk>
--- german/wordpress.patch begins here ---
PORTNAME=	wordpress
-PORTVERSION=	3.3.1
+PORTVERSION=	3.3.2
 CATEGORIES=	german www
 MASTER_SITES=	http://static.wordpress-deutschland.org/de-edition/
 PKGNAMESUFFIX=	-de
@@ -22,12 +22,15 @@
 CONFLICTS_INSTALL=	wordpress-3.* ja-wordpress-ja-3.* \
 			zh-wordpress-zh_CN-3.* zh-wordpress-zh_TW-3.* \
 			ru-wordpress-ru-3.*
-USE_ZIP=	yes
+EXTRACT_SUFX:=	.zip
 NO_BUILD=	yes
 USE_PHP=	curl gd mysql pcre tokenizer xml zip
 WANT_PHP_WEB=	yes
 WRKSRC=		${WRKDIR}/${PORTNAME}

+SUB_FILES=	pkg-message pkg-install
+SUB_LIST=	CHGRP="${CHGRP}" CHOWN="${CHOWN}" FIND="${FIND}"\
+		WWWGRP="${WWWGRP}" WWWOWN="${WWWOWN}"
 PLIST=		${WRKDIR}/pkg-plist
 PORTDOCS=	license.txt readme.html

@@ -52,6 +55,7 @@
 .endif

 post-install:
+	@${SETENV} PKG_PREFIX=${PREFIX} ${SH} ${PKGINSTALL} ${PKGNAME} POST-INSTALL
 	@${CAT} ${PKGMESSAGE}

 .include <bsd.port.mk>
Comment 1 takefu 2012-05-23 14:37:50 UTC
Minor fix.

- change fileowner and group
Comment 2 Michael Scheidell freebsd_committer 2012-05-26 14:37:27 UTC
Responsible Changed
From-To: freebsd-ports-bugs->scheidell

I'll take it.
Comment 3 Michael Scheidell freebsd_committer 2012-05-26 14:42:34 UTC
Responsible Changed
From-To: scheidell->miwi

Takefu.  You cannot do a maintainer-update on wordpress/german since it 
belongs to miwi@.
Comment 4 Michael Scheidell freebsd_committer 2012-05-26 14:43:19 UTC
State Changed
From-To: open->feedback

Miwi needs to approve this before going forward.
Comment 5 Martin Wilke freebsd_committer 2012-05-27 00:00:18 UTC
State Changed
From-To: feedback->open

- Approved 


Comment 6 Martin Wilke freebsd_committer 2012-05-27 00:00:18 UTC
Responsible Changed
From-To: miwi->scheidell

please handle it. thx
Comment 7 dfilter service freebsd_committer 2012-05-27 11:07:08 UTC
scheidell    2012-05-27 10:06:54 UTC

  FreeBSD ports repository

  Modified files:
    german/wordpress     Makefile distinfo 
  Added files:
    german/wordpress/files pkg-install.in pkg-message.in 
  Removed files:
    german/wordpress     pkg-message 
  Log:
  - Update to 3.3.2
  - change file ownership to www wp-content directory
  
  PR:             ports/167219
  Submitted by:   Takefu <takefu@airport.fm>
  Approved by:    miwi (maintainer)
  
  Revision  Changes    Path
  1.45      +6 -2      ports/german/wordpress/Makefile
  1.38      +2 -2      ports/german/wordpress/distinfo
  1.1       +12 -0     ports/german/wordpress/files/pkg-install.in (new)
  1.1       +6 -0      ports/german/wordpress/files/pkg-message.in (new)
  1.6       +0 -6      ports/german/wordpress/pkg-message (dead)
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 8 dfilter service freebsd_committer 2012-05-27 11:08:25 UTC
scheidell    2012-05-27 10:08:17 UTC

  FreeBSD ports repository

  Modified files:
    japanese/wordpress   Makefile distinfo 
  Added files:
    japanese/wordpress/files pkg-install.in 
  Log:
  - Update to 3.3.2
  - Add conflict list
  - Change file ownership to www wp-content directory
  
  PR:             ports/167219
  Submitted by:   Takefu <takefu@airport.fm> (maintainer)
  
  Revision  Changes    Path
  1.4       +7 -3      ports/japanese/wordpress/Makefile
  1.4       +2 -2      ports/japanese/wordpress/distinfo
  1.1       +12 -0     ports/japanese/wordpress/files/pkg-install.in (new)
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 9 Michael Scheidell freebsd_committer 2012-05-27 11:08:56 UTC
State Changed
From-To: open->closed

Committed. Thanks!